( cd usr/lib64 ; rm -rf libgnote-44.so )
( cd usr/lib64 ; ln -sf libgnote-44.so.0 libgnote-44.so )
( cd usr/lib64 ; rm -rf libgnote-44.so.0 )
( cd usr/lib64 ; ln -sf libgnote-44.so.0.0.1 libgnote-44.so.0 )

doinst () 
{ 
    if find /usr/share/icons -maxdepth 2 2> /dev/null | grep -q icon-theme.cache; then
        for theme_dir in /usr/share/icons/*;
        do
            if [ -r ${theme_dir}/icon-theme.cache ]; then
                /usr/bin/gtk-update-icon-cache -t -f ${theme_dir} > /dev/null 2> /dev/null &
            fi;
        done;
        if [ -r /usr/share/icons/icon-theme.cache ]; then
            rm -f /usr/share/icons/icon-theme.cache;
        fi;
    fi;
    if [ -x /usr/bin/update-desktop-database ]; then
        /usr/bin/update-desktop-database /usr/share/applications > /dev/null 2> /dev/null;
    fi
}
doinst
